﻿© 2009 Fluke Corporation, All rights reserved               MET/CAL Procedure
=============================================================================
INSTRUMENT:            Sub Tek TDS3000C Self-Test VISA
INSTRUMENT:            Sub Tek TDS3000C Sig Path Comp Cal VISA
INSTRUMENT:            Sub Tek TDS3000C Channel Select VISA
INSTRUMENT:            Sub Tek TDS3000C Trigger Chk and Level Adj VISA
DATE:                  2009-08-18 11:18:08
AUTHOR:                Fluke
REVISION:              $Revision: 2619 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       7
NUMBER OF LINES:       190
=============================================================================
#
#  Procedure Author:
#        ZY
#
#  Model(s) Covered:
#        TDS 3012C, TDS 3014C, TDS 3032C, TDS 3034C, TDS 3052C, TDS 3054C
#
#  Compatibility:
#        MET/CAL 7.20 SP1 (7.20x) or later
#
#  Subprocedures:
#        None
#
#  Required Files:
#        None
#
#  Additional Equipment Required:
#        None
#
#  This procedure is intended for use with MET/CAL® calibration software;
#  the terms and conditions set forth in your MET/CAL license apply to this
#  procedure.
#
#  Due to Fluke's policy of continuously updating our products, this procedure
#  may contain minor differences in methods used and/or specifications to
#  those found in the manual or other documentation. While every effort has
#  been made to ensure that this procedure is accurate, Fluke cannot be held
#  responsible for the consequences of error or omissions found within this
#  procedure.
#
#  The copyright in this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

  1.001  JMPL         SELF_TEST                    PSUBI("Self-Test")
  1.002  JMPL         SIGNAL_PATH_COMPENSATION     PSUBI("Sig Path Comp")
  1.003  JMPL         CAL_INITIALIZE               PSUBI("Channel Select")
  1.004  JMPL         TRIGGER                      PSUBI("Trigger Chk")
  1.005  DISP         Subprocedure not found!
  1.006  END

  1.007  EVAL   Increment step number

#******************************* Self-Test ***********************************

  2.001  LABEL        SELF_TEST
  2.002  RSLT         =
  2.003  HEAD         SELF TEST
  2.004  TARGET
  2.005  VISA         DIA:LOOP:OPT ONCE
# Send commands to start the self-test
  2.006  VISA         DIA:STATE EXECUTE
# Return result of diagnostics
  2.007  WAIT         -t 60 Self Test Executing...
  2.008  VISA         DIA:RESU:FLAG?[I$]
# Self Test evaluation
  2.009  EVAL   -e FINDI(MEM2, "PASS", 1) : SELF TEST
  3.001  VISA         CLEARM

  3.002  IF           NOT(FINDI(MEM2, "Pass", 1))
  3.003  DISP         SELF TEST failed!
  3.003  DISP
  3.003  DISP         The UUT may need be serviced.
  3.003  DISP
  3.003  DISP         Press Advance to terminate the procedure.
  3.004  MATH         @Abort = 1

  3.005  ELSE
  3.006  MATH         @Abort = 0
  3.007  ENDIF

  3.008  HEAD
  3.009  END

  3.010  EVAL   Increment step number

#**************** Signal Path Compensation Calibration **********************

  4.001  LABEL        SIGNAL_PATH_COMPENSATION
  4.002  RSLT         =
  4.003  HEAD         SIGNAL PATH COMPENSATION
  4.004  DISP         Remove all connections from the UUT.
  4.004  DISP
  4.004  DISP         The Signal Path Compensation will execute several
  4.004  DISP         minutes.
  4.005  MATH         @Abort = 0
# Send commands to start the internal signal path calibration (SPC).
  4.006  VISA         [T1000000]CAL:INTERN:STAR
# Query the stutus of SPC operation.
  4.007  VISA         [T1000000]CAL:INTERN:STATUS?[I$]
  4.008  EVAL   -e FINDI(MEM2, "PASS", 1) : SIGNAL PATH COMPENSATION

  5.001  IF           NOT(FINDI(MEM2, "PASS", 1))
  5.002  DISP         SIGNAL PATH COMPENSATION FAILED!
  5.002  DISP
  5.002  DISP         The UUT may need be serviced.
  5.002  DISP
  5.002  DISP         Procedure will be aborted.
  5.003  MATH         @Abort = 1
  5.004  ENDIF

  5.005  HEAD
  5.006  VISA         CLEARM
  5.007  END

  5.008  EVAL   Increment step number

#*************************** Channel Select ****************************

  6.001  LABEL        CAL_INITIALIZE
  6.002  VISA         *RST;*OPC?[I!]
  6.003  VISA         CLEARM
  6.004  VISA         HEADER OFF

# Select ON/OFF based on whether UUT is 2 or 4 channel.
  6.005  IF           @NumChan == 2

# Specify channel being tested.
  6.006  IF           @Chan == 1
  6.007  VISA         SELECT:CH1 ON;CH2 OFF
  6.008  ELSE
  6.009  VISA         SELECT:CH1 OFF;CH2 ON
  6.010  ENDIF

  6.011  ELSE

# Specify channel being tested.
  6.012  IF           @Chan == 1
  6.013  VISA         SELECT:CH1 ON;CH2 OFF;CH3 OFF;CH4 OFF
  6.014  ELSEIF       @Chan == 2
  6.015  VISA         SELECT:CH1 OFF;CH2 ON;CH3 OFF;CH4 OFF
  6.016  ELSEIF       @Chan == 3
  6.017  VISA         SELECT:CH1 OFF;CH2 OFF;CH3 ON;CH4 OFF
  6.018  ELSE
  6.019  VISA         SELECT:CH1 OFF;CH2 OFF;CH3 OFF;CH4 ON
  6.020  ENDIF

  6.021  ENDIF

  6.022  WAIT         -t 2 System Initializing ...

  6.023  END

  6.024  EVAL   Increment step number

#*************************** Trigger_chk ************************

  7.001  LABEL        TRIGGER

  7.002  VISA         TRIG:A:SETLEVEL
  7.003  WAIT         -t 5 System Settling...
# Query the current trigger level to decide step value of adjustment according
# the signal peak value.
  7.004  VISA         TRIG:A:LEV?[I]
  7.005  MATH         TrigLevel = MEM
  7.006  MATH         Step = (@PeakVal - MEM) / 10

  7.007  DO
# Check the status of trigger
  7.008  VISA         [D1000]TRIG:STATE?[I$]
  7.009  MATH         @Trigged = FINDI(MEM2, "Trig", 1)

  7.010  IF           NOT(@Trigged)
# Increase the trigger level.
  7.011  MATH         TrigLevel = TrigLevel + Step
  7.012  VISA         TRIG:MAI:LEV [V TrigLevel]
  7.013  ENDIF

# Exit loop when signal have been trigged or trigger level has exceeded the
# signal peak value and signal is still not triggered yet.
  7.014  UNTIL        @Trigged || TrigLevel > @PeakVal

  7.015  END
